package com.slibra.monitor.controller;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class ScheduledTasks {

    @Scheduled(fixedRate = 5000) // 每5秒执行一次
    public void reportCurrentTime() {
        System.out.println("现在时间: " + System.currentTimeMillis() / 1000);
    }

    // 使用cron表达式
    @Scheduled(cron = "0 0/5 15,18 * * ?") // 每天的15点和18点，每隔5分钟执行一次
    public void fixedRateWithInitialDelay() {
        System.out.println("通过cron表达式执行的定时任务: " + System.currentTimeMillis() / 1000);
    }
}
